import { connect } from 'react-redux'
import * as at from '../actions/actionTypes'
import InputPanel from '../components/InputPanel'
import { mkClearRoute, mkAddUrl, mkDeleteRoute, mkUpdateRoute } from '../actions'

const mapStateToProps = state => {
  return { routes: state.routes }
}

const mapDispatchToProps = dispatch => ({
  onAdd: (url) => dispatch(mkAddUrl(url)),
  onDelete: (index) => dispatch(mkDeleteRoute(index)),
  onClear: (index) => dispatch(mkClearRoute(index)),
  onUpdate: (url, index) => dispatch(mkUpdateRoute(url, index))
})

export default connect(mapStateToProps, mapDispatchToProps)(InputPanel)
